Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 48324 - new version of xine-ui (0.99.1) is avaliable
Summary: new version of xine-ui (0.99.1) is avaliable
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: Highest enhancement (vote)
Assignee: media-video herd
URL: http://www.xinehq.de/
Whiteboard:
Keywords:
Depends on: 48107 48108
Blocks:
  Show dependency tree
 
Reported: 2004-04-19 08:15 UTC by Paulo Fidalgo
Modified: 2004-06-07 03:07 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paulo Fidalgo 2004-04-19 08:15:22 UTC
From xine site:
17.04.2004 
xine-ui 0.99.1, finally! 


After several months without update, xine-ui 0.99.1 is finally released. As the version number suggests, this release is quite an improvement over 0.9.23. 
 In particular, this release fixes some security issues, so an update is recommended. 
 As usual you can download the source now. Or you can read the release notes/changelog at Sourceforge for more... 

Thanks for attention
Comment 1 Martin Holzer (RETIRED) gentoo-dev 2004-04-19 22:48:19 UTC
do we really need 0.99.1 when bug 48107 and bug 48108 are closed ?
Comment 2 Thierry Carrez (RETIRED) gentoo-dev 2004-04-20 00:21:49 UTC
The security fixes are in 0.9.23-r2, so 0.99.1 is not needed for security reasons. I much prefer a quick stable 0.9.23-r2 with fixes (and a GLSA) then a ~ period for 0.99.1 (which does bring a lot of changes).

-K
Comment 3 Thierry Carrez (RETIRED) gentoo-dev 2004-04-21 11:45:47 UTC
Assigning back to media-video since this bump will not be needed for security reasons.
Comment 4 Aaron Peterson 2004-05-24 10:47:58 UTC
I guess we can't just change the ebuild file name as we can as most.

I'm trying the old, copy the ebuild to a new name in the overlay dir
and ebuild ebuildname.ebuild digest

Comment 5 Aaron Peterson 2004-05-24 11:13:37 UTC
ok, renamed the ebuild...

I had to  wget the source code tarball, and placed it into the distfiles dir, 

ebuild xine-ui-0.99.1.ebuild digest

I tried to emerge it, granted, there are patches that are based on the old sources..

and here is the output of it.

 * Failed Patch: implicit-config.patch!
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/xine-ui-0.99.1/temp/implicit-config.patch-16447.out

bash-2.05b# cp /usr/portage/media-video/xine-ui/files/preserve-CFLAGS-0.9.23.diff /usr/local/portage/media-video/xine-ui/files/preserve-CFLAGS-0.99.1.diff

 *   /var/tmp/portage/xine-ui-0.99.1/temp/symlink-bug.patch-18159.out

##############
I commented out all of the patches that didn't apply cleanly.. Maybe a bad idea.

Comment 6 Aaron Peterson 2004-05-24 11:26:38 UTC
it emerged, lets see if it worked...

it starts...

I don't know if all the permissions are correct, and the cflags are nice...


bash-2.05b# emerge --info
Portage 2.0.50-r6 (default-x86-1.4, gcc-3.3.3, glibc-2.3.3_pre20040420-r0, 2.6.5-gentoo-r1)
=================================================================
System uname: 2.6.5-gentoo-r1 i686 AMD Athlon(TM) XP 1700+
Gentoo Base System version 1.4.15
distcc 2.14 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.3 [enabled]
Autoconf: sys-devel/autoconf-2.59-r3
Automake: sys-devel/automake-1.8.3
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer -Wall"
CHOST="i686-pc-linux-gnu"
COMPILER="gcc3"
CONFIG_PROTECT="/etc /usr/X11R6/lib/X11/xkb /usr/kde/2/share/config /usr/kde/3.1/share/config /usr/kde/3.2/share/config /usr/kde/3/share/config /usr/lib/mozilla/defaults/pref /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer -Wall"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs ccache sandbox"
GENTOO_MIRRORS="http://gentoo.oregonstate.edu http://distro.ibiblio.org/pub/Linux/distributions/gentoo"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="3dnow X aac aalib accessibility acl acpi acpi4linux alsa amd apache2 apm arts artswrappersuid audiofile avi berkdb bidi bonobo canna cdr cjk cjkcrypt crypt cscope cups dga directfb divx4linux doc dv dvb dvd encode esd evms2 faad fam fbcon ffmpeg flac flash foomaticdb freetype freewnn fs gdbm ggi gif gnome gpm gstreamer gtk gtk2 gtkhtml guile imagemagick imap imlib jack java javascript joystick jpeg kde kerberos krb4 ldap libcss libdvdread libg++ libwww mad maildir md5sum mdb mikmod mmx motif mozilla mpeg mpeg4 mule mysql nas ncurses net nls nptl nvidia oggvorbis opengl oss pam pdflib perl pic png postgres python qt quicktime readline samba sasl scanner sdl slang spell sse ssl svg svga tcltk tcpd tetex theora threads tiff transcode truetype unicode usb v4l vhosts virus-scan x86 xine xinerama xml2 xmms xv xvid zeo zlib"

Comment 7 Aaron Peterson 2004-06-07 02:00:22 UTC
note: this version of xine-ui is a MAJOR improvement

and it's so easy to make work...
Comment 8 Patrick Kursawe (RETIRED) gentoo-dev 2004-06-07 03:07:14 UTC
Just someone has to do it.... have a look at the media-video bug list. In portage.